Last Comment Bug 763479 - Update tests sometimes fail with 'New wizard page has been selected - got finishedBackground, expected finished'
: Update tests sometimes fail with 'New wizard page has been selected - got fin...
Status: RESOLVED FIXED
[mozmill-test-failure][qa-]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Henrik Skupin (:whimboo) [away 02/18 - 02/27]
:
:
Mentors:
http://mozmill-ci.blargon7.com/#/upda...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-11 07:03 PDT by Henrik Skupin (:whimboo) [away 02/18 - 02/27]
Modified: 2012-08-14 15:06 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
fixed


Attachments
Patch v1 (2.10 KB, patch)
2012-06-11 07:20 PDT, Henrik Skupin (:whimboo) [away 02/18 - 02/27]
anthony.s.hughes: review+
Details | Diff | Splinter Review
Backport v1 (beta, release, esr10) (3.48 KB, patch)
2012-06-28 01:31 PDT, Henrik Skupin (:whimboo) [away 02/18 - 02/27]
dave.hunt: review+
Details | Diff | Splinter Review

Description User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2012-06-11 07:03:43 PDT
As the attached Mozmill report shows we are waiting for 'finishedBackground' under some conditions. Given that it is not always failing I'm not sure when we will see the page but in our case it shouldn't matter. We have to wait for 'finished' and 'finishedBackground'.

New wizard page has been selected - got finishedBackground, expected finished
Comment 1 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2012-06-11 07:20:47 PDT
Created attachment 631889 [details] [diff] [review]
Patch v1
Comment 2 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-06-11 11:00:28 PDT
Comment on attachment 631889 [details] [diff] [review]
Patch v1

Review of attachment 631889 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me, please land.
Comment 3 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2012-06-11 11:55:03 PDT
Pushed:
http://hg.mozilla.org/qa/mozmill-tests/rev/0672153467e8 (master)

I will land on Aurora if we don't regress anything in the next two days or so.
Comment 4 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2012-06-12 04:42:12 PDT
Looks fine on default. Pushed to aurora:
http://hg.mozilla.org/qa/mozmill-tests/rev/8e5c303efb7c
Comment 5 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2012-06-28 01:14:14 PDT
I would say we get modified patches landed on other branches to make them more stable. In those cases we should just leave out the backgroundupdate cases.
Comment 6 User image Henrik Skupin (:whimboo) [away 02/18 - 02/27] 2012-06-28 01:31:07 PDT
Created attachment 637406 [details] [diff] [review]
Backport v1 (beta, release, esr10)

This patch contains only the fixes necessary for the beta, release, and esr10 branch. Also it fixes a missing change from bug 759333.

Note You need to log in before you can comment on or make changes to this bug.